#ifndef SCTDATA_ISNPTGAIN_SUMMARYWRITER_H
#define SCTDATA_ISNPTGAIN_SUMMARYWRITER_H

#include "ISSummaryWriter.h"
#include "Sct/RangedVector.h"

namespace SctData {
    class ISNPtGainTestResult;
    namespace ISTestSummary{
      /**
	 Output the result of a NPtGainTest.
      */
      class ISNPtGainSummaryWriter : public ISSummaryWriter {
      public:
	///override
	virtual void write(const TestResult& t) const ;
      private:
	static bool inMap;
      };
    }
}

#endif //#ifndef SCTDATA_ISNPTGAIN_SUMMARYWRITER_H
