
# Setup file for SCT - 25.08.05

export TDAQ_RELEASE=tdaq-01-02-00

export CMTCONFIG=i686-slc3-gcc323-dbg

#source /afs/cern.ch/atlas/project/tdaq/cmt/bin/cmtsetup.sh ${TDAQ_RELEASE} ${CMTCONFIG}
source /home/sctroddq/sctsw/tdaq-01-02-00/installed/setup.sh 

export TDAQ_IPC_INIT_REF=file:/home/sctroddq/sctsw/RCD/ipc_root.ref

export TDAQ_PARTITION=emulated_seq_RCD_part
export TDAQ_DB_DATA=/home/sctroddq/sctsw/RCD/partitions/${TDAQ_PARTITION}.data.xml

export LD_LIBRARY_PATH=/home/sctroddq/sctsw/RCD/DAQ/DataFlow/installed/${CMTCONFIG}/lib:${LD_LIBRARY_PATH}

alias h='history'
alias l='ls -ltr'
alias vi='vim'
alias ipcrm='ipc_rm -p $TDAQ_PARTITION -f -i ".*" -n ".*"'
