#include "ChipCounterTestResult.h"
#include "NullVariable.h"
#include "DefaultVariable.h"
#include <Sct/AbcdScans.h>

namespace SctData{
  
  const std::string rangedVectorName = "ChipCounterStreamResult";

  ChipCounterTestResult::ChipCounterTestResult() throw() {}

  ChipCounterTestResult::ChipCounterTestResult(unsigned int runNumber, const string& moduleName) throw()
    : TestResult(runNumber, moduleName, NullVariable::instance(), 
                 *DefaultVariable::instance(0)){
  }
    
  ChipCounterTestResult::~ChipCounterTestResult() throw() {}

  string ChipCounterTestResult::getClassName() const throw(){
    return string("SctData::ChipCounterTestResult");
  }

}
