#include "NMaskTestResult.h"
#include "NullVariable.h"
#include "DefaultVariable.h"
#include <Sct/AbcdScans.h>

///@todo DefaultVariable used

namespace SctData {

NMaskTestResult::NMaskTestResult() throw() : pass(false) {}

NMaskTestResult::NMaskTestResult(unsigned int runNumber, const string& moduleName) throw()
        : TestResult(runNumber, moduleName, NullVariable::instance(), *DefaultVariable::instance(ST_NMASK)), pass(false) {}

NMaskTestResult::~NMaskTestResult() throw() {}

string NMaskTestResult::getClassName() const throw() {
    return string("SctData::NMaskTestResult");
}
}
