#include "RxThresholdTestResult.h"
#include "DefaultVariable.h"
#include "Sct/LogicErrors.h"
#include "Sct/AbcdScans.h"

using namespace Sct;
namespace SctData {

RxThresholdTestResult::RxThresholdTestResult() throw() {
}

RxThresholdTestResult::RxThresholdTestResult(const unsigned int runNumber, const string& moduleName) throw() 
    : SingleVariableTestResult(*DefaultVariable::instance(ST_RX_THRESHOLD), runNumber, moduleName) {
}

string RxThresholdTestResult::getClassName() const  throw() {
    return "SctData::RxThresholdTestResult";
}

}
