#include "mVfromTrimTargetThresholdVariable.h"
#include <Sct/AbcdScans.h>

namespace SctData {
    
/* //Create the mVfromTrimTargetThresholdVariable!
class mVfromTrimTargetThresholdVariableFactory {
public:
    mVfromTrimTargetThresholdVariableFactory() {mVfromTrimTargetThresholdVariable::instance();}
};

mVfromTrimTargetThresholdVariableFactory factory;
  */  
    
static const mVfromTrimTargetThresholdVariable& ob = mVfromTrimTargetThresholdVariable::instance();

//Member functions

mVfromTrimTargetThresholdVariable::mVfromTrimTargetThresholdVariable() : ThresholdVariable(ST_TTHR, "Threshold set by mVfromTrimTarget") {}    
    
const mVfromTrimTargetThresholdVariable& mVfromTrimTargetThresholdVariable::instance() throw() {
    static mVfromTrimTargetThresholdVariable* ob = new mVfromTrimTargetThresholdVariable();
    return *ob;
}

double mVfromTrimTargetThresholdVariable::getLinkActualPoint(double logicalPt, const ModuleConfiguration& config, unsigned int link) const throw(){
    return getActualPoint(logicalPt);
}

double mVfromTrimTargetThresholdVariable::getChipActualPoint(double logicalPt, const ModuleConfiguration& config, unsigned int chip) const throw(){
    return getActualPoint(logicalPt);
}

double mVfromTrimTargetThresholdVariable::getChannelActualPoint(double logicalPt, const ModuleConfiguration& config, unsigned int channel) const throw() {
    return getActualPoint(logicalPt);
}


double mVfromTrimTargetThresholdVariable::getLinkLogicalPoint(double actualPt, const ModuleConfiguration& config, unsigned int link) const throw() {
    return getLogicalPoint(actualPt);
}

double mVfromTrimTargetThresholdVariable::getChipLogicalPoint(double actualPt, const ModuleConfiguration& config, unsigned int chip) const throw() {
    return getLogicalPoint(actualPt);
}

double mVfromTrimTargetThresholdVariable::getChannelLogicalPoint(double actualPt, const ModuleConfiguration& config, unsigned int channel) const throw() {
    return getLogicalPoint(actualPt);
}

}
