#ifndef SCTAPI_COUNTERS_H
#define SCTAPI_COUNTERS_H

namespace SctApi {

struct SctApiCounters {
  int primitiveCounter;
  int primitiveLengthCounter;
  int primitiveOutLengthCounter;
  int mdspMemoryBlockCounter;
  int mdspMemoryBlockLengthCounter;
  int sdspMemoryBlockCounter;
  int sdspMemoryBlockLengthCounter;

  SctApiCounters() : primitiveCounter(0), primitiveLengthCounter(0), primitiveOutLengthCounter(0), 
       mdspMemoryBlockCounter(0), mdspMemoryBlockLengthCounter(0), 
       sdspMemoryBlockCounter(0), sdspMemoryBlockLengthCounter(0) {}
};

extern SctApiCounters currentStats;
}

#endif
