
#ifndef SCT_SCTAPI_AUTOCONFIG_H
#define SCT_SCTAPI_AUTOCONFIG_H

#include <list>

#include "SctApi.h"

namespace SctApi {
  namespace AutoConf {

    struct AutoResult {
      unsigned long partition;
      unsigned long crate;
      unsigned long rod;
      unsigned long tx;
      unsigned long rx;

      AutoResult(unsigned long _partition, unsigned long _crate, unsigned long _rod, 
                 unsigned long _tx, unsigned long _rx) : partition(_partition), crate(_crate), rod(_rod), 
           tx(_tx), rx(_rx) {}
    };

class AutoConfigurer {
  SctApi::SctApi &api;

  std::list<AutoResult> results;
 public:
  AutoConfigurer(SctApi::SctApi &a) : api(a) {}

  void run();

  std::list<AutoResult> getResults();
};

  }
}

#endif

