#ifndef SCTAPI_CONFIG_H
#define SCTAPI_CONFIG_H

#ifndef IPC_IDL
/* 
 * Put non preprocessor statements here so it can be included in IDL files
 */
#endif

#define USE_IS 1
#define USE_SCAN_THREAD 1
#define USE_THREADS 1

/*
  Currently, the Scan object used for requests is modified during a scan but
  this data is not used outside of SctApi. 

  This option is used to move all the SctApi internal data to ScanEx instead.

  By default it's off (0), which will represent the current state
 */
#define USE_CONST_SCAN 0

/*
   This needs testing before it's put in by default (which it should be), 
   it's been sitting in my account for ages, so I thought I'd put it in CVS

   Testing would involve
     1) Running normal scans on various combinations of modules.
     2) Running dual trigger scans (one trigger to each of two sets of modules)
         see macros/dualNoise.cxx

      BJG
 */
#define USE_DUAL_PORTS 0

#endif
