#ifndef SCTCONF_CONFIGURATIONEXCEPTION_H
#define SCTCONF_CONFIGURATIONEXCEPTION_H

namespace SctConfiguration {

/**
   Exception thrown by public configuration methods
 */
class ConfigurationException : public std::exception {
  std::string desc;
 public:
  /// Provide a description on construction
  ConfigurationException(const std::string &str) throw() : desc(str) {}

  ~ConfigurationException() throw() {}

  /// Override std::exception method
  virtual const char* what () const throw() { return desc.c_str(); }
};

}

#endif
