#include <boost/test/unit_test.hpp>
#include <ipc/core.h>
#include "ABCDModule_Test.h"

using boost::unit_test_framework::test_suite;

test_suite* init_unit_test_suite(int argc, char * argv[]) {
  IPCCore::init(argc, argv);
    std::auto_ptr<test_suite> test(BOOST_TEST_SUITE("Test package sctConfIPC"));

    test->add(new ABCDModule_Test());
    return test.release();
}


