#include <boost/test/unit_test.hpp>
#include "Zlib_Test.h"
#include "IOManager_Connect_Test.h"
#include "IONameDB_Test.h"

using boost::unit_test_framework::test_suite;
using namespace SctArchiving;

test_suite* init_unit_test_suite(int argc, char * argv[]) {
    std::auto_ptr<test_suite> test(BOOST_TEST_SUITE("Test archiving database"));

    test->add(new Zlib_Test());
    test->add(new IONameDB_Test());
    test->add(new IOManager_Connect_Test());
    return test.release();
}


