#ifndef SCT_CALIBRATION_CONTROLER_TESTDATA_WRAPPER_H
#define SCT_CALIBRATION_CONTROLER_TESTDATA_WRAPPER_H
#include "IsInfoWrapper.h"
#include <boost/shared_ptr.hpp>

class TestData;

namespace SctCalibrationController {
  /// Allows a TestData object to be serialised with the usual SCT serialisation tools.
class TestDataWrapper : public IsInfoWrapper {
 public:
  TestDataWrapper(boost::shared_ptr<TestData> td);
  /// For backwards-compatibility, returns the name of the _wrapped object_ NOT the wrapper.
  std::string getClassName() const;
  /// UniqueID
  Sct::UniqueID getUniqueID() const;
};

}

#endif
