#ifndef SCTCALIBRATIONCONTROLLER_DEFAULTSCAN_H
#define SCTCALIBRATIONCONTROLLER_DEFAULTSCAN_H

#include "../ipc/CalibrationController.hh"
#include "../CalibrationControllerImpl.h"
#include "../SctApiAccessException.h"
#include "../SctApiCall.h"
#include "Sct/LogicErrors.h"

#include <Sct/AbcdScans.h>

using namespace Sct;
using namespace SctCalibrationController::Ipc;
namespace SctCalibrationController {
namespace Scripts {

  /** Just creates a scan - dosent configure it */
    
class DefaultScan : public ScanRequestImpl {
public:
  static ScanRequestImpl& defaultScan() {
    static DefaultScan request;
    Sct_SctApi::SctApiIPC_var api = CalibrationControllerImpl::instance()->getApi();
    Sct_SctApi::Scan_var s;
    APIRETCALL(api, s, createScan(), "Failed to create scan")
    request.setScanNice(s);
    
    return request;
    }
    
private:
  DefaultScan(){;}
};
    
}
}

#endif //SCTCALIBRATIONCONTROLLER_DEFAULTSCAN_H
