#ifndef SCTDATA_ISNOISEOCCUPANCY_SUMMARYWRITER_H
#define SCTDATA_ISNOISEOCCUPANCY_SUMMARYWRITER_H

#include "ISSummaryWriter.h"

namespace SctData {
  class ISNoiseOccupancyTestResult;
  namespace ISTestSummary{
    /**
       Output the result of a NoiseOccupancyTest.
       Just 12 integers + defects.
    */
    class ISNoiseOccupancySummaryWriter : public ISSummaryWriter {
    public:
      ///override
      virtual void write(const TestResult& t) const;
    private:
      static bool inMap;
    };
  }
}

#endif //#ifndef SCTDATA_ISNOISEOCCUPANCY_SUMMARYWRITER_H
