#include "ISSummaryWriter.h"
#include "Sct/SctNames.h"
#include "Sct/ISUtilities.h"

#include "SctData/TestResult.h"
//#include <boost/date_time/posix_time/posix_time.hpp>

using namespace std;

namespace SctData {
    namespace ISTestSummary{

	ISSummaryWriter::ISSummaryWriter() {}

	ISSummaryWriter::~ISSummaryWriter() {}
        
	void ISSummaryWriter::writeHeader(const TestResult& r, ISSummaryData& summary) const {

	  /*	    const boost::posix_time::ptime t=r.getHeader().getEndTime(); */

	    summary.serialNumber= r.getModuleName();
	    summary.location =  SctNames::getLocation();
	    summary.runNumber = r.getRunNumber();
	    summary.scanNumber = r.getScanNumberAt(0);

	    /*	    summary.endTime = r.getHeader().getEndTime(); */

	    /* summary.version changes in the header file */
	}
	
    }
}
