#!/bin/csh

if ( $# < 1 ) then
  echo Usage $0 mdsp_binary_filename
  exit 1
else
  set binfile = $1
endif

set RODSLOTS = `mktemp /tmp/rod.XXXXXX`
set command  = `mktemp /tmp/cmd.XXXXXX`
$SCT_DAQ_ROOT/MiniUtils/ProbeCrate | grep 'Found ROD' | awk '{print $5}' | hex2dec | awk -v f=$binfile -v s=$SCT_DAQ_ROOT '{print "echo "f" | "s"/RodDaq/RodUtils/MdspFlashLoad -s"$1"\necho Done slot "$1}' > $command

chmod +x $command
echo I have made the command file $command - check this and then run it if you are happy with it.
echo Please ignore the request to Enter the binary file name - this is already set to be $binfile.
