/************************************************************************************
 * resources.h
 *
 *  synopsis: Sets some parameters and typedefs which may be processor dependant.  The
 *           processor type should be defined globally, e.g. via a -d or -D compiler
 *           option.
 *
 *  Damon Fasching, UW Madison (510)486-5230               fasching@wisconsin.cern.ch
 ************************************************************************************/

#ifndef RESOURCES
#define RESOURCES

#include "fxnProto.h"
#include "processor.h"
#include "errorCodes.h"
#include "utilities.h"
#include "macros.h"

#endif






