#ifndef SIMEVTS_FXN_H
#define SIMEVTS_FXN_H

void setInmemDefaults(SimInmemCtrl *sic);
int  checkInmemCtrl(SimInmemCtrl *sic);

int buildInmem(SimInmemCtrl *sic);

void addTimInfo(SimInmemCtrl *sic);
void initData(SimInmemCtrl *sic);

void addNoHitDataPackets(SimInmemCtrl *sic);
void createLinkData(SimInmemCtrl *sic);

int findNextHit(SimInmemCtrl *sic, uint8 link,
                uint8 *xfe, uint8 *xchan, uint8 *xclus, uint8 *bx);
void addLinkData(SimInmemCtrl *sic);

int  correctLink(SimInmemCtrl *sic);
void fifoErr(SimInmemCtrl *sic, uint32 min, char *mf);

#endif /* Multiple inclusion protection */

