// Mainpage for Doxygen

/** @mainpage package Dsp/Code
 *
 * @section intro Introduction
 *  This package contains C header and code files for the ROD DSPs.
 *  This code needs to be compiled by the TI compiler.
 *
 * @author Douglas Ferguson (DPFerguson@lbl.gov)
 *
 * As of 16 January 2004, the DSP directory has separate area for common code,
 * pixel code and SCT code. A DSPMODULE CVS module has been defined to include
 * everything in CommonWIthDsp and Dsp. DSP code will now come in defined 
 * releases, which are tagged with a CVS tag.
 *
 * To retrieve a particular release, cd to your working directory and issue
 * the command "cvs co -r PIXEL-0-00 DspModule", substituting the appropriate
 * tag for PIXEL-0-00.
 *
 * The list of tags is maintained in release.notes, reachable from the link
 * below.
 *
 *<hr>
 *
 * @section releasenotes  Notes for releases
 * release.notes
 *<hr>
 * @todo 
 */
