package Sct.IS;

import Sct.*;

public class IStreamIS implements IStream {
    
    protected is.Istream in;
    
    public IStreamIS(is.Istream in) {
        this.in = in;
    }
    
    public double readDouble(String name) {
        return in.getDouble();
    }
    
    public int readInt(String name) {
        return in.getInt();
    }
    
    public boolean readBoolean(String name) {
        return in.getBoolean();
    }
    
    public boolean[] readBooleanArray(String name) {
        return in.getBooleanArray();
    }
    
    public byte readByte(String name) {
        return in.getByte();
    }
    
    public byte[] readByteArray(String name) {
        return in.getByteArray();
    }
    
    public double[] readDoubleArray(String name) {
        return in.getDoubleArray();
    }
    
    public float readFloat(String name) {
        return in.getFloat();
    }
    
    public float[] readFloatArray(String name) {
        return in.getFloatArray();
    }
         
    public int[] readIntArray(String name) {
        return in.getIntArray();
    }
    
    public short readShort(String name) {
        return in.getShort();
    }
    
    public short[] readShortArray(String name) {
        return in.getShortArray();
    }
    
    public String readString(String name) {
        return in.getString();
    }
    
    public String[] readStringArray(String name) {
        return in.getStringArray();
    }
    
    public long readLong(String name) throws java.io.IOException {
        return in.getInt();
    }
    
    public long[] readLongArray(String name) throws java.io.IOException {
        int[] intData = in.getIntArray();
        long[] data  = new long[intData.length];
        for (int i=0; i<intData.length; ++i) {
            data[i] = intData[i];
        }
        return data;
    }
    
}
