#include "OpeResultIOHelper.h"
#include "Sct/LogicErrors.h"
namespace SctData{
OpeResultIOHelper::OpeResultIOHelper() : result(0) {}

void OpeResultIOHelper::set(OpeResult& r) {
  result=&r;
}

void OpeResultIOHelper::setUniqueID(const Sct::UniqueID& id){
  if (result==0) throw Sct::IllegalStateError("Uninitialized OpeResult",__FILE__,__LINE__);
  result->m_uniqueID=id;
}

std::auto_ptr<OpeResult>OpeResultIOHelper::create(){
  return std::auto_ptr<OpeResult>(new OpeResult);
}
}
