{
TScanDef noise;

// Set to 6kHz
// tapi.timRegLoad(6, 9);

// Or to 30kHz
// tapi.timSetFrequency(30, 1.);

int nth = 15;  // Tested on one module??
int trigs = 3000;

noise.trigsPerBurst = nth * trigs;

noise.configure(41, 1.3, 1., -0.1);
noise.trigSequence.singleL1A();
noise.trigSequence.source = 2;
noise.trigSequence.frequency = 20.;
noise.trigSequence.random = 2;

// synch.full = 0;
noise.bits32 = 1;
// synch.loopCalLine = 0;
noise.distSlave = 0;
// synch.debug = 0;
noise.tim = 1;
noise.nth = nth;
noise.ope = 1;

tapi.modifyABCDVar(11, 1.0);
tapi.modifyABCDVar(13, 0.0);
tapi.modifyABCDVar(14, 0.0);

//tapi.modifyABCDVar(41, 1.1);  // QTHR Set to 1.1fC
tapi.modifyABCDVar(42, 0.0);  // 0 fC injection

// Disable veto:
//tapi.timRegLoad(0x9c, 0x100);

tapi.doScan(noise);

tapi.awaitScan();
}
