#include <unistd.h>

#include <iostream>
using namespace std;

#define USELIBRARY

#include "../TApi.h"

int main () {
  cout << "Create new TApi\n";

  TApi *tapi = new TApi();

  cout << "Initialise all\n";
  tapi->initialiseAll(0);

  tapi->timL1A();
  tapi->timCalL1A(99);

  // Set a relatively low frequency
  tapi->timSetFrequency(6, 6);

  cout << "Start free triggers for 10 seconds\n";
  tapi->freeTriggers();

  sleep(10);

  cout << "Stop free triggers\n";
  tapi->stopTriggers();

  sleep(2);

  cout << "Shutdown all\n";
  tapi->shutdownAll();

  cout << "Delete TApi\n";
  delete tapi;

  return 0;  
}
