#include <boost/date_time/posix_time/posix_time.hpp>
#include "SctApiBanks_Test.h"
#include "../SctApiServer.h"
#include "SctApi/SctApi.h"
#include <boost/test/unit_test.hpp>
#include <iostream>

using boost::unit_test_framework::test_suite;
using namespace boost::posix_time;
using namespace boost::gregorian;

namespace SctApi {
  namespace Tests {
    void testBanks() {
	BOOST_CHECK(Sct_SctApi::PHYSICS_CONFIG == SCTAPI_BANK_PHYSICS); 
	BOOST_CHECK(Sct_SctApi::SCAN_CONFIG == SCTAPI_BANK_SCAN); 
	BOOST_CHECK(Sct_SctApi::CALIBRATION_CONFIG == SCTAPI_BANK_CALIBRATION); 
   }

    SctApiBanks_Test::SctApiBanks_Test() {
	add(BOOST_TEST_CASE(&testBanks));
    }	
}
}
