// A quick script to continuous MSR separated by 10 minutes
import Sct.*;
import Sct.IS.SctNames;
import ArchivingServiceI.*;
import AnalysisServiceI.*;
import GuiComponents.System.*;

SI=SystemInterface.getInstance();

for (int i=0; i<1000; ++i){
    cal = SI.getCalibrationController();
    tl = cal.getTestLibrary();
    msr = tl.getTestRequestByName("MarkSpaceRatio");
    cal.doTest(msr);
    System.out.println("Doing MarkSpaceRatioTest");
    Thread.sleep(600000); // ten minutes?
}
