#ifndef SCTDATADISPLAY_MARKSPACERATIODISPLAYER_H
#define SCTDATADISPLAY_MARKSPACERATIODISPLAYER_H

#include "Displayer.h"

namespace SctDataDisplay {

    class MarkSpaceRatioDisplayData;
    
/**
  Displays MarkSpaceRatio Test Results
  @author Matthew Palmer
  */
class MarkSpaceRatioDisplayer : public Displayer {
public:
    shared_ptr<DisplayData> display(shared_ptr<const Sct::Serializable> data, const DisplayInfo& info, std::ostream& os);
    
private:
    static bool inMap;
};
}

#endif //SCTDATADISPLAY_MARKSPACERATIODISPLAYER_H
