#ifndef SCTCONF_MARSHALLING_H
#define SCTCONF_MARSHALLING_H

#include "configuration.hh"
#include "sctConf/configuration.h"
#include "Sct/AbcdModule.h"

ABCDModule copyCorbaToABCDModule(const sctConf::ABCDModule& corbaModule);

sctConf::ABCDModule copyABCDModuleToCorba(const ABCDModule &module);

SctConfiguration::SlaveConfig copyCorbaToSlaveConfig(const sctConf::SlaveConfig& corbaConfig);

SctConfiguration::RodConfig copyCorbaToRodConfig(const sctConf::RodConfig& corbaConfig);

sctConf::SlaveConfig* copySlaveConfigToCorba(const SctConfiguration::SlaveConfig &config);

sctConf::RodConfig* copyRodConfigToCorba(const SctConfiguration::RodConfig &config);

SctConfiguration::BOCChannelConfig copyCorbaToBOCChannelConfig(const sctConf::BOCChannelConfig& corbaConfig);

sctConf::BOCChannelConfig* copyBOCChannelConfigToCorba(const SctConfiguration::BOCChannelConfig &config);

SctConfiguration::BOCGlobalConfig copyCorbaToBOCGlobalConfig(const sctConf::BOCGlobalConfig& corbaConfig);

sctConf::BOCGlobalConfig copyBOCGlobalConfigToCorba(const SctConfiguration::BOCGlobalConfig &config);

SctConfiguration::TimConfig copyCorbaToTimConfig(const sctConf::TimConfig& corbaConfig);

sctConf::TimConfig copyTimConfigToCorba(const SctConfiguration::TimConfig &config);

#endif //SCTCONF_MARSHALLING_H
