package webscripts;
//
import java.io.*;
import java.util.*;

import ProdDatabase.*;

public class makeReferenceFiles implements SCTDBInfo {

	public static void main(String[] args) {

	   if(args.length==0) {
	      System.err.println("Requires target directory as first argument.");
	      System.exit(0);
	      }
	   String targetDir = args[0];


           try {
	      LOOP:
	      for(int i=0;i<sctdaqNormalTestNames.length;i++) {
	       switch(i) {
	         case SCTDB_TEST_RESET:
		 case SCTDB_TEST_REDUNDANCY:
		 case SCTDB_TEST_LONGTERM:
		 case SCTDB_TEST_IV:
		    continue LOOP;
		 default:
                generalScripts.makeDataReferenceFile2(targetDir, i, true);
                generalScripts.makeDataReferenceFile2(targetDir, i, false);
	        }
	      }
	      System.out.println("Completed.");

           }catch(Exception e){System.err.println(e.toString());}

          }
}
